Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228305 - getCellByName in calc says "missing module" errors
Summary: getCellByName in calc says "missing module" errors
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 16:19 UTC by Bill Gradwohl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 08:43:46 UTC


Attachments (Terms of Use)

Description Bill Gradwohl 2007-02-12 16:19:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Developers guide claims that getCellByName exists and provides examples. I can get getCellByPosition to work inside a spreadsheet document, but any attempt to use getCellByName fails on a missing module error. Its like that call is unknown.

I checked this on the latest FC6, and also on an older FC4 and it doesn't work on either box.

Therefore, is the version supplied incomplete for both FC6 & FC4? 

Do I need to install something to get this functionality or is this a legit bug? 




Version-Release number of selected component (if applicable):
2.0.4-5.3   &    2.0.4-5.5.3    and sdk-2.1.0-6 

How reproducible:
Always


Steps to Reproduce:
1.In a spreadsheet macro named "example" tied to a button, put the following code:

sub example
dim doc as object
dim sheet as object
dim cell as object

doc=ThisComponent
sheet=doc.Sheets.getByName("Sheet1")
cell=sheet.getCellByPosition(0,0)  ' this works
cell=sheet.getCellByName("A1")     ' this doesn't
end sub
2.Hit the button to execute the macro code
3.Note the error : 

Actual Results:
Dialog box:
BASIC runtime error.
Property or method not found.

Expected Results:
Developers guide shows both getCellByPosition and getCellByName calls, therefore I expect both calls to function.

Additional info:

Comment 1 Caolan McNamara 2007-02-13 08:43:46 UTC
Yeah, but getCellByName is only for tables inside writer I believe, not for the
spreadsheets

http://www.openoffice.org/servlets/ReadMsg?list=dev&msgNo=14061
http://www.openoffice.org/servlets/ReadMsg?list=users&msgNo=31712


Note You need to log in before you can comment on or make changes to this bug.